# Установка Wireguard (Wg-easy)
Для упрощения рассмотрим установку wg-easy


Предварительно надо установить [Docker и Docker-compose](https://docs.docker.com/engine/install/)

## Установка Wg-easy
Переходим туда, где хотим установить Wireguard (У меня `/srv/wireguard`)

### `docker-compose.yml`:
```yaml
version: "3.8"
services:
  wg-easy:
    environment:
      # ⚠️ Required:
      # Change this to your host's public address
      - WG_HOST=raspberrypi.local

      # Optional:
      # - PASSWORD=foobar123
      # - WG_PORT=51820
      # - WG_DEFAULT_ADDRESS=10.8.0.x
      # - WG_DEFAULT_DNS=1.1.1.1
      # - WG_MTU=1420
      # - WG_ALLOWED_IPS=192.168.15.0/24, 10.0.1.0/24
      
    image: weejewel/wg-easy
    container_name: wg-easy
    volumes:
      - .:/etc/wireguard
    ports:
      - "51820:51820/udp"
      - "51821:51821/tcp"
    restart: unless-stopped
    cap_add:
      - NET_ADMIN
      - SYS_MODULE
    sysctls:
      - net.ipv4.ip_forward=1
      - net.ipv4.conf.all.src_valid_mark=1
```

Заменяем WG_HOST на IP-адрес сервера
Изменяем другие env, если надо

```shell
$ docker-compose up -d
```

Идем в веб-панель (на порту 51821), создаем профили, пользуемся.